Fix build with older clang compilers
https://bugzilla.gnome.org/show_bug.cgi?id=720708
https://github.com/GNOME/glib/commit/ab9f63fadd8f769b2b2ae7c32a8cce42fac01451
--- glib/glib/gmessages.c.orig	2016-04-11 16:39:26.000000000 -0500
+++ glib/glib/gmessages.c	2017-08-11 11:31:55.000000000 -0500
@@ -1066,15 +1066,21 @@
 		  const char *pretty_function,
 		  const char *expression)
 {
-  g_log (log_domain,
-	 G_LOG_LEVEL_ERROR,
-	 expression 
-	 ? "file %s: line %d (%s): assertion failed: (%s)"
-	 : "file %s: line %d (%s): should not be reached",
-	 file, 
-	 line, 
-	 pretty_function,
-	 expression);
+  if (expression)
+    g_log (log_domain,
+	   G_LOG_LEVEL_ERROR,
+	   "file %s: line %d (%s): assertion failed: (%s)",
+	   file,
+	   line,
+	   pretty_function,
+	   expression);
+  else
+    g_log (log_domain,
+	   G_LOG_LEVEL_ERROR,
+	   "file %s: line %d (%s): should not be reached",
+	   file,
+	   line,
+	   pretty_function);
   _g_log_abort ();
 }
 
